[arch-commits] CVS update of extra/gnome/yelp (PKGBUILD)

Varun Acharya varun at archlinux.org
Mon Dec 3 06:44:41 EST 2007


    Date: Monday, December 3, 2007 @ 06:44:41
  Author: varun
    Path: /home/cvs-extra/extra/gnome/yelp

Modified: PKGBUILD (1.30 -> 1.31)

upgpkg: yelp 2.20.0-2


----------+
 PKGBUILD |   15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)


Index: extra/gnome/yelp/PKGBUILD
diff -u extra/gnome/yelp/PKGBUILD:1.30 extra/gnome/yelp/PKGBUILD:1.31
--- extra/gnome/yelp/PKGBUILD:1.30	Sun Sep 23 14:06:28 2007
+++ extra/gnome/yelp/PKGBUILD	Mon Dec  3 06:44:41 2007
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.30 2007/09/23 18:06:28 jgc Exp $
+# $Id: PKGBUILD,v 1.31 2007/12/03 11:44:41 varun Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=yelp
 pkgver=2.20.0
-pkgrel=1
+pkgrel=2
 pkgdesc="A help browser for GNOME"
 arch=(i686 x86_64)
 depends=('xulrunner>=1.8.1.6' 'libgnomeui>=2.20.0' 'gnome-doc-utils>=0.12.0' 'startup-notification>=0.9' 'libxslt' 'libbeagle')
@@ -13,14 +13,19 @@
 options=('!emptydirs')
 url="http://www.gnome.org"
 install=yelp.install
-source=(http://ftp.gnome.org/pub/gnome/sources/yelp/2.20/yelp-${pkgver}.tar.bz2)
-md5sums=('8902618c343093b1c64ee6d647ec41ed')
+source=(http://ftp.gnome.org/pub/gnome/sources/yelp/2.20/yelp-${pkgver}.tar.bz2 \
+       yelp-fix-for-beagle-0.3.0.patch)
+md5sums=('8902618c343093b1c64ee6d647ec41ed' \
+         '3bcf1955ac39d08c2137c4dc8057c61f')
 
 build() {
   [ -z "${MOZ_PLUGIN_PATH}" ] && . /etc/profile.d/mozilla-common.sh
 
   cd ${startdir}/src/yelp-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc \
+  #fix for beagle-0.3.0, thanks momonga linux
+  patch -Np1 -i ${startdir}/yelp-fix-for-beagle-0.3.0.patch || return 1
+  autoconf
+ ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --enable-man --with-search=beagle
   make LDFLAGS+="-R /opt/mozilla/lib/xulrunner" || return 1
   make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1




More information about the arch-commits mailing list